Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class ThreadPolicyValue

    java.lang.Object
      |
      +--org.omg.PortableServer.ThreadPolicyValue

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ThreadPolicyValue
extends java.lang.Object
implements IDLEntity

Enum definition : ThreadPolicyValue

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` | `_MAIN_THREAD_MODEL` Enum member MAIN_THREAD_MODEL value
`static int` | `_ORB_CTRL_MODEL` Enum member ORB_CTRL_MODEL value
`static int` | `_SINGLE_THREAD_MODEL` Enum member SINGLE_THREAD_MODEL value
`static ThreadPolicyValue` | `MAIN_THREAD_MODEL` Enum member MAIN_THREAD_MODEL
`static ThreadPolicyValue` | `ORB_CTRL_MODEL` Enum member ORB_CTRL_MODEL
`static ThreadPolicyValue` | `SINGLE_THREAD_MODEL` Enum member SINGLE_THREAD_MODEL

Method Summary
`static ThreadPolicyValue` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _ORB_CTRL_MODEL

    public static final int _ORB_CTRL_MODEL

  Enum member ORB_CTRL_MODEL value

### ORB_CTRL_MODEL

    public static final ThreadPolicyValue ORB_CTRL_MODEL

  Enum member ORB_CTRL_MODEL

### _SINGLE_THREAD_MODEL

    public static final int _SINGLE_THREAD_MODEL

  Enum member SINGLE_THREAD_MODEL value

### SINGLE_THREAD_MODEL

    public static final ThreadPolicyValue SINGLE_THREAD_MODEL

  Enum member SINGLE_THREAD_MODEL

### _MAIN_THREAD_MODEL

    public static final int _MAIN_THREAD_MODEL

  Enum member MAIN_THREAD_MODEL value

### MAIN_THREAD_MODEL

    public static final ThreadPolicyValue MAIN_THREAD_MODEL

  Enum member MAIN_THREAD_MODEL

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static ThreadPolicyValue from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD